#include "SceneGraphRoot.h"
#include "long_cube.h"

// prototype
static void lcube_move(SceneGraphPtr node, int screen_w, int screen_h);
//static void lcube_collision(SceneGraphPtr node, int screen_w, int screen_h);


static void
lcube_move(SceneGraphPtr node, int screen_w, int screen_h)
{
}

static void
lcube_collision(SceneGraphPtr node, int screen_w, int screen_h,
	       SceneGraphPtr tree)
{
}


MainLoopPtr
lcube_init(Viewer *sgroot, int screen_w, int screen_h)
{
    SceneGraphPtr lcube;

    sgroot->createFromXMLfile(manager, "xml_file/LongCube.xml");
    lcube = sgroot->createSceneGraph(LongCube);
    lcube->set_move_collision(lcube_move, lcube_collision);

    sgroot->setSceneData(lcube);
    return sgroot;
}
